summaryrefslogtreecommitdiffstats
path: root/bin/ed/test/mkscripts.sh
diff options
context:
space:
mode:
authoralm <alm@FreeBSD.org>1993-06-18 13:00:14 +0000
committeralm <alm@FreeBSD.org>1993-06-18 13:00:14 +0000
commit8eb89f70257d1d25fd40e1414846ea1939f7d275 (patch)
tree0ebb3a1cb043f39e3d1f9fb2d2e4e2170f529687 /bin/ed/test/mkscripts.sh
parent777d9e83b8466b1892a1383f2540a711b9107887 (diff)
downloadFreeBSD-src-8eb89f70257d1d25fd40e1414846ea1939f7d275.zip
FreeBSD-src-8eb89f70257d1d25fd40e1414846ea1939f7d275.tar.gz
POSIX ed version 0.6 by Andrew Moore (alm@netcom.com).
Diffstat (limited to 'bin/ed/test/mkscripts.sh')
-rw-r--r--bin/ed/test/mkscripts.sh71
1 files changed, 71 insertions, 0 deletions
diff --git a/bin/ed/test/mkscripts.sh b/bin/ed/test/mkscripts.sh
new file mode 100644
index 0000000..724db0c
--- /dev/null
+++ b/bin/ed/test/mkscripts.sh
@@ -0,0 +1,71 @@
+#!/bin/sh -
+# This script generates ed test scripts (.ed) from .t files
+
+PATH="/bin:/usr/bin:/usr/local/bin/:."
+ED=$1
+[ X"$ED" = X -o ! -x $ED ] && ED="../ed"
+[ ! -x $ED ] && { echo "$ED: cannot execute"; exit 1; }
+
+for i in *.t; do
+# base=${i%.*}
+# base=`echo $i | sed 's/\..*//'`
+ base=`expr $i : '\([^.]*\)'`
+ (
+ echo "#!/bin/sh -"
+ echo "$ED - <<\EOT"
+ echo "r \\$base.d"
+ cat $i
+ echo "w \\$base.o"
+ echo EOT
+ ) >$base.ed
+ chmod +x $base.ed
+# The following is pretty ugly and not appropriate use of ed
+# but the point is that it can be done...
+# base=`$ED - \!"echo \\\\$i" <<-EOF
+# s/\..*
+# EOF`
+# $ED - <<-EOF
+# a
+# #!/bin/sh -
+# $ED - <<\EOT
+# r \\$base.d
+# w \\$base.o
+# EOT
+# .
+# -2r \\$i
+# w \\$base.ed
+# !chmod +x \\$base.ed
+# EOF
+done
+
+for i in *.err; do
+# base=${i%.*}
+# base=`echo $i | sed 's/\..*//'`
+ base=`expr $i : '\([^.]*\)'`
+ (
+ echo "#!/bin/sh -"
+ echo "$ED - <<\EOT"
+ echo H
+ echo "r \\$base.err"
+ cat $i
+ echo "w \\$base.o"
+ echo EOT
+ ) >$base-err.ed
+ chmod +x $base-err.ed
+# base=`$ED - \!"echo \\\\$i" <<-EOF
+# s/\..*
+# EOF`
+# $ED - <<-EOF
+# a
+# #!/bin/sh -
+# $ED - <<\EOT
+# H
+# r \\$base.err
+# w \\$base.o
+# EOT
+# .
+# -2r \\$i
+# w \\${base}-err.ed
+# !chmod +x ${base}-err.ed
+# EOF
+done
OpenPOWER on IntegriCloud